const presetRuleset = [
  {
    name: "rule 73",
    rules: {
      100: 0,
      101: 0,
      110: 1,
      111: 0,
      "011": 1,
      "010": 0,
      "001": 0,
      "000": 1,
    },
  },
  {
    name: "rule 86",
    rules: {
      100: 1,
      101: 0,
      110: 0,
      111: 1,
      "011": 0,
      "010": 1,
      "001": 0,
      "000": 1,
    },
  },
  {
    name: "rule 90",
    rules: {
      100: 1,
      101: 0,
      110: 1,
      111: 0,
      "011": 0,
      "010": 0,
      "001": 1,
      "000": 0,
    },
  },
  {
    name: "rule 45?",
    rules: {
      100: 0,
      101: 0,
      110: 1,
      111: 0,
      "011": 1,
      "010": 0,
      "001": 1,
      "000": 1,
    },
  },
  {
    name: "rule 54?",
    rules: {
      100: 1,
      101: 0,
      110: 1,
      111: 1,
      "011": 0,
      "010": 1,
      "001": 1,
      "000": 0,
    },
  },
  {
    name: "rule 30",
    rules: {
      100: 1,
      101: 0,
      110: 0,
      111: 0,
      "011": 1,
      "010": 1,
      "001": 1,
      "000": 0,
    },
  },
  {
    name: "unknown rule",
    rules: {
      100: 0,
      101: 0,
      110: 0,
      111: 1,
      "011": 0,
      "010": 0,
      "001": 1,
      "000": 1,
    },
  },
  {
    name: "unknown rule 2",
    rules: {
      100: 1,
      101: 0,
      110: 1,
      111: 0,
      "011": 0,
      "010": 0,
      "001": 0,
      "000": 1,
    },
  },
  {
    name: "rule 184",
    rules: {
      100: 1,
      101: 1,
      110: 0,
      111: 1,
      "011": 1,
      "010": 0,
      "001": 0,
      "000": 0,
    },
  },
  {
    name: "rule 110",
    rules: {
      100: 0,
      101: 1,
      110: 1,
      111: 0,
      "011": 1,
      "010": 1,
      "001": 1,
      "000": 0,
    },
  },
];

const initialStates = [
  {
    id: "onecell",
    name: "One cell at center",
    description: "State with a single cell in the middle",
  },
  {
    id: "random",
    name: "Random cell",
    description: "State populated with random cells",
  },
];

const preset2dRules = [
  {
    id: "conway",
    name: "Conway's Game of Life",
    description: "The most popular 2d automata",
  },
  {
    id: "overpopulation",
    name: "Overpopulation variation",
    description:
      "Variation on Conway's Game of Life *without* the overpopulation rule",
  },
  {
    id: "loneliness",
    name: "Loneliness variation",
    description:
      "Variation on Conway's Game of Life *without* the loneliness rule",
  },
  {
    id: "threeborn",
    name: "Three lives variation",
    description:
      "Variation on Conway's Game of Life *without* the 'three live neighbors' rule",
  },
  {
    id: "highlife",
    name: "HighLife variation",
    description:
      "Variation on Conway's Game of Life where a cell live if the six neighbor cells are alive",
  },
  {
    id: "serviette",
    name: "Serviette variation",
    description: "bla",
  },
];

export { presetRuleset, initialStates, preset2dRules };
